Replenishment of the user's advance balance
Request:
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the request for replenishment of the advance balance
userIdstringRequiredExample:
User ID
5292f559-d134-4214-a9bb-4c232f0e0991organizationIdstringRequiredExample:
Organization ID
527c351a-c92d-427d-a349-53cb6f5828ffadvancedBalanceIdstringRequiredExample:
ID of the advance balance
90a491a5-df12-4872-977c-08411c375213amountstringRequiredExample:
The amount for which the balance is replenished
4.87Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/partner/api/top-up-advanced-balance
POST /partner/api/top-up-advanced-balance HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 180
{
"userId": "5292f559-d134-4214-a9bb-4c232f0e0991",
"organizationId": "527c351a-c92d-427d-a349-53cb6f5828ff",
"advancedBalanceId": "90a491a5-df12-4872-977c-08411c375213",
"amount": "4.87"
}200Success
{
"success": true,
"response": {
"advancedBalanceId": "90a491a5-df12-4872-977c-08411c375213",
"currency": "USD",
"blocked": true,
"blockReason": null,
"balance": "12",
"availableCurrenciesForDeposit": [
"USDT"
]
}
}Last updated